.container{
    width: 300px;
    height: 200px;
    border: 5px dotted grey;
    border-radius: 10px;
    position: relative;
    margin: 0 auto;
}

.small_rectangle {
    text-align: right;
    width: 75px;
    height: 75px;
    border-radius: 10px;
    color: white;
    padding: 5px;
    position: absolute;
}

.a {
    background-color: lightcoral;
    top: 10px;
    left: 10px;
    z-index: 4;
}

.b {
    background-color: black;
    top: 30px;
    left: 30px;
    z-index: 3;
}

.c {
    background-color: mediumseagreen;
    top: 50px;
    left: 50px;
    z-index: 2;
}

.d {
    background-color: red;
    top: 70px;
    left: 70px;
    z-index: 1;
}